HDF: java/src/jni/hdfImp.h File Reference

Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.4.0 API Reference |

Loading...
Searching...
No Matches
hdfImp.h File Reference
`#include <jni.h>`

## Functions
JNIEXPORT jlong JNICALL | Java_hdf_hdflib_HDFLibrary_Hopen (JNIEnv *env, jclass clss, jstring hdfFile, jint access, jint ndds)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_Hclose (JNIEnv *env, jclass clss, jlong fid)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_HDdont_1atexit (JNIEnv *env, jclass clss)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_Hishdf (JNIEnv *env, jclass clss, jstring hdfFile)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_Hnumber (JNIEnv *env, jclass clss, jlong fid, jint tagtype)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_DFKNTsize (JNIEnv *env, jclass clss, jlong numbertype)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_Hcache (JNIEnv *env, jclass clss, jlong file_id, jint cache_switch)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_Hgetfileversion (JNIEnv *env, jclass clss, jlong file_id, jintArray vers, jobjectArray fvstring)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_Hgetlibversion (JNIEnv *env, jclass clss, jintArray vers, jobjectArray lvstring)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_Hsetaccesstype (JNIEnv *env, jclass clss, jlong h_id, jint access_type)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_Hsync (JNIEnv *env, jclass clss, jlong file_id)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_HDFclose (JNIEnv *env, jclass clss, jlong file_id)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_HDFopen (JNIEnv *env, jclass clss, jstring filename, jint access, jshort n_dds)
JNIEXPORT jstring JNICALL | Java_hdf_hdflib_HDFLibrary_HDgetNTdesc (JNIEnv *env, jclass clss, jint nt)

## Function Documentation

## ◆ Java_hdf_hdflib_HDFLibrary_DFKNTsize()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_DFKNTsize | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | numbertype )

## ◆ Java_hdf_hdflib_HDFLibrary_Hcache()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_Hcache | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | file_id,
|  | jint | cache_switch )

## ◆ Java_hdf_hdflib_HDFLibrary_Hclose()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_Hclose | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | fid )

## ◆ Java_hdf_hdflib_HDFLibrary_HDdont_1atexit()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_HDdont_1atexit | ( | JNIEnv * | env,
|  | jclass | clss )

## ◆ Java_hdf_hdflib_HDFLibrary_HDFclose()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_HDFclose | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | file_id )

## ◆ Java_hdf_hdflib_HDFLibrary_HDFopen()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_HDFopen | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jstring | filename,
|  | jint | access,
|  | jshort | n_dds )

## ◆ Java_hdf_hdflib_HDFLibrary_HDgetNTdesc()

JNIEXPORT jstring JNICALL Java_hdf_hdflib_HDFLibrary_HDgetNTdesc | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jint | nt )

## ◆ Java_hdf_hdflib_HDFLibrary_Hgetfileversion()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_Hgetfileversion | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | file_id,
|  | jintArray | vers,
|  | jobjectArray | fvstring )

## ◆ Java_hdf_hdflib_HDFLibrary_Hgetlibversion()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_Hgetlibversion | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jintArray | vers,
|  | jobjectArray | lvstring )

## ◆ Java_hdf_hdflib_HDFLibrary_Hishdf()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_Hishdf | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jstring | hdfFile )

## ◆ Java_hdf_hdflib_HDFLibrary_Hnumber()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_Hnumber | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | fid,
|  | jint | tagtype )

## ◆ Java_hdf_hdflib_HDFLibrary_Hopen()

JNIEXPORT jlong JNICALL Java_hdf_hdflib_HDFLibrary_Hopen | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jstring | hdfFile,
|  | jint | access,
|  | jint | ndds )

## ◆ Java_hdf_hdflib_HDFLibrary_Hsetaccesstype()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_Hsetaccesstype | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | h_id,
|  | jint | access_type )

## ◆ Java_hdf_hdflib_HDFLibrary_Hsync()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_Hsync | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | file_id )